format long;
U = [30,60,90,127];
S = 10*10^(-4);
Phim = U/(4.44*50*400);
Bm = Phim/S;
wt = 0:3.14/50:3.14;
%Givens 
R = 0.5/400;
H1 = 200;
B1 = 1.0;
H2 = 1000;
B2 = 1.43;
%H1=a*B1+b*(B1)^5
%H2=a*B2+b*(B2)^5
%Solve 
syms a b 
subs(a*B1+b*(B1)^5, B1, 1)
subs(a*B2+b*(B2)^5, B2, 1.43)
[a,b] = solve(a*1+b*(1)^5 == 200, a*1.43+b*(1.43)^5 == 1000);
A = sin(wt');
B = Bm.*sin(wt');
i = ((a*B)+(b*(B.^5))).*(R);
%Plot
figure(1)
subplot(121)
plot(wt, B)
xlabel('\omegat'), ylabel('B,  ')
title('  [30, 60, 90, 127]')
subplot(122)
plot(wt, i)
xlabel('\omegat'), ylabel('i, ')
title('  [30, 60, 90, 127]')

%r2 = double(i);
r = rms(i);
ri = double(r);
%plot(U, r)
U2 = [0 30 60 90 127];
rii = [0, ri];
cf = fit(U2', rii', 'exp1')
figure(2)
plot(cf, U2, rii)
xlabel('U, '), ylabel('i,  ( )')
title('I(U),    [30, 60, 90, 127]')
figure(3)
Z = [U2./rii];
plot(U2, Z)
xlabel('U, '), ylabel('Z, ')
title('Z(U),    [30, 60, 90, 127]')



